Community Manager

System Requirements for Using Spectrum.net

System Requirements for Using Spectrum.net

Showing Content for 63376 ZIP Code Edit

Supported Browsers

You must use a supported web browser in order to access all features on Spectrum.net. We recommend you use the most current version of one the following browsers:

Note: We no longer support Internet Explorer version 10 or lower.

Supported Operating Systems

The following operating systems are supported by Spectrum.net:

  • Windows 7, 8 and 10.
  • Mac OS 10.6.x or later.
  • iOS 6 or higher.
  • Android 2.3 or higher.
  
Spectrum-PhilB
Community Manager